import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.ColInfo;

public class SummaryBreak extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {

			SummaryBreak doReport = new SummaryBreak();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doReport.doSimpleColumnarReport(frame));
			frame.setSize(900, 800);
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setVisible(true);

		} catch (Exception ex) {

			ex.printStackTrace();

		}

	}

	@Override
	public void init() {

		setLayout(new BorderLayout());
		add("Center", doSimpleColumnarReport(this));

	}

	Component doSimpleColumnarReport(Object parent) {
		QbReport.setEspressManagerUsed(false);
		ColInfo[] colInfo = new ColInfo[5];
		colInfo[0] = new ColInfo(1);
		colInfo[0].setRowBreak(true);
		colInfo[1] = new ColInfo(9);
		colInfo[1].setRowBreak(true);
		colInfo[2] = new ColInfo(4);
		colInfo[2].setAggregation(true, ColInfo.SUM);
		colInfo[3] = new ColInfo(5);
		colInfo[3].setAggregation(true, ColInfo.SUM);
		colInfo[4] = new ColInfo(6);
		colInfo[4].setAggregation(true, ColInfo.SUM);

		QbReport report = new QbReport
				(parent, // parent
						QbReport.SUMMARY, // Sumamry Break  Report
						"sample.dat", // filename
						colInfo, // column information
						null);
		try {
			//			Apply template including scripts and formula
			report.applyTemplate("SummaryBreak.rpt", true);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return (new Viewer().getComponent(report));
	}
}